New-PSUEndpoint -Url "/process" -Endpoint {
Get-Process | Select-Object -Property Name, ID, CPU, NPM, PM, SI, WS
} -Timeout 0 
New-PSUEndpoint -Url "/process/:id" -Method "DELETE" -Endpoint {
param($Id)

Stop-Process -Id $Id
} -Timeout 0 
New-PSUEndpoint -Url "/process" -Method "POST" -Endpoint {
param($Path, $Arguments)

Start-Process -FilePath $Path -ArgumentList $Arguments

# Invoke-RestMethod http://localhost:5000/process -Method POST -Body @{ Path = "notepad" }
} -Timeout 0 
New-PSUEndpoint -Url "/process/:id" -Endpoint {
param($Id)

Get-Process -Id $Id | Select-Object -Property Name, ID, CPU, NPM, PM, SI, WS
} -Timeout 0 
New-PSUEndpoint -Url "/process/name/:name" -Endpoint {
param($Name)
Get-Process -Name $Name | Select-Object -Property Name, ID, CPU, NPM, PM, SI, WS
} -Timeout 0